Bug 1229266 - [Tiering] : Attaching another node to the cluster which has a tiered volume times out
Summary: [Tiering] : Attaching another node to the cluster which has a tiered volume t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: RHGS 3.1.0
Assignee: Bug Updates Notification Mailing List
QA Contact: Nag Pavan Chilakam
URL:
Whiteboard:
Depends On: 1218273
Blocks: qe_tracker_everglades 1202842
TreeView+ depends on / blocked
 
Reported: 2015-06-08 10:44 UTC by Nag Pavan Chilakam
Modified: 2016-09-17 15:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1218273
Environment:
Last Closed: 2015-07-29 04:59:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Comment 3 Triveni Rao 2015-06-12 05:17:58 UTC
this bug is verified and found no issues.


[root@rhsqa14-vm1 ~]# gluster v info
 
Volume Name: pluto
Type: Tier
Volume ID: 3e850a11-5c59-4265-8c96-202d4205fbd4
Status: Started
Number of Bricks: 4
Transport-type: tcp
Hot Tier :
Hot Tier Type : Replicate
Number of Bricks: 1 x 2 = 2
Brick1: 10.70.47.163:/rhs/brick3/m0
Brick2: 10.70.47.165:/rhs/brick3/m0
Cold Tier:
Cold Tier Type : Replicate
Number of Bricks: 1 x 2 = 2
Brick3: 10.70.47.165:/rhs/brick1/m0
Brick4: 10.70.47.163:/rhs/brick1/m0
Options Reconfigured:
performance.readdir-ahead: on
[root@rhsqa14-vm1 ~]# gluster v status
Status of volume: pluto
Gluster process                             TCP Port  RDMA Port  Online  Pid
------------------------------------------------------------------------------
Hot Bricks:
Brick 10.70.47.163:/rhs/brick3/m0           49153     0          Y       13062
Brick 10.70.47.165:/rhs/brick3/m0           49153     0          Y       14333
Cold Bricks:
Brick 10.70.47.165:/rhs/brick1/m0           49152     0          Y       14279
Brick 10.70.47.163:/rhs/brick1/m0           49152     0          Y       13017
NFS Server on localhost                     2049      0          Y       14353
NFS Server on 10.70.47.163                  2049      0          Y       13081
 
Task Status of Volume pluto
------------------------------------------------------------------------------
Task                 : Rebalance           
ID                   : 8296c3ce-77ac-4fb6-8da1-fd0a8d93c8aa
Status               : in progress         
 
[root@rhsqa14-vm1 ~]# 
[root@rhsqa14-vm1 ~]# gluster peer status
Number of Peers: 1

Hostname: 10.70.47.163
Uuid: 64b3b00c-8125-4666-9aee-4890610f3e87
State: Peer in Cluster (Connected)
[root@rhsqa14-vm1 ~]# 
[root@rhsqa14-vm1 ~]# gluster peer probe 10.70.47.159
peer probe: success. 
[root@rhsqa14-vm1 ~]# gluster peer status
Number of Peers: 2

Hostname: 10.70.47.163
Uuid: 64b3b00c-8125-4666-9aee-4890610f3e87
State: Peer in Cluster (Connected)

Hostname: 10.70.47.159
Uuid: cbfb9f50-c544-4f69-8ab3-d399f73061c6
State: Peer in Cluster (Connected)
[root@rhsqa14-vm1 ~]# 


tiered volume was nfs mounted.

Comment 4 Triveni Rao 2015-06-12 13:01:59 UTC
[root@rhsqa14-vm1 ~]# glusterfs --version
glusterfs 3.7.1 built on Jun  9 2015 02:31:54
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2013 Red Hat, Inc. <http://www.redhat.com/>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
It is licensed to you under your choice of the GNU Lesser
General Public License, version 3 or any later version (LGPLv3
or later), or the GNU General Public License, version 2 (GPLv2),
in all cases as published by the Free Software Foundation.
[root@rhsqa14-vm1 ~]# rpm -qa | grep gluster
glusterfs-3.7.1-1.el6rhs.x86_64
glusterfs-cli-3.7.1-1.el6rhs.x86_64
glusterfs-libs-3.7.1-1.el6rhs.x86_64
glusterfs-client-xlators-3.7.1-1.el6rhs.x86_64
glusterfs-fuse-3.7.1-1.el6rhs.x86_64
glusterfs-server-3.7.1-1.el6rhs.x86_64
glusterfs-api-3.7.1-1.el6rhs.x86_64
[root@rhsqa14-vm1 ~]#

Comment 5 errata-xmlrpc 2015-07-29 04:59:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.